Name: trac-agilo-plugin
Version: 0.9.7
Release: 3%{?dist}
Summary: A plugin for supporting the Scrum process in Trac
License: ASL 2.0
URL: http://www.agilofortrac.com/
# Requires login, then downloaded from
# http://www.agilofortrac.com/en/download/agilo_source.tar.gz/
Source0: agilo_source.tar.gz
BuildRequires: python-devel python-setuptools
BuildRequires: trac python-genshi python-windmill python-twill
Requires: trac python-genshi
BuildArch: noarch

%description
Agilo for Trac is a simple and straightforward tool to support the
Scrum process.

%prep
%setup -q -n agilo-%{version}

chmod -x agilo/htdocs/js/lib/jquery-ui-1.7.2.custom.min.js
chmod -x agilo/htdocs/js/lib/jquery.metadata.js

%build
%{__python} setup.py build

# Disable tests for now. More work on them is required, many tests fail.
#
#%%check
#cp -rv %%{python_sitelib}/trac .
#cp -rv %%{python_sitelib}/tracopt .
#cp -rv %%{_defaultdocdir}/trac-`rpm -q --queryformat "%%{VERSION}" trac`/contrib .
#PYTHONPATH=trac:%%{buildroot}%%{python_sitelib}:$PYTHONPATH %%{__python} setup.py test

%install
%{__python} setup.py install -O1 --root %{buildroot}

for f in {agilo_sqlite2pg,agilo_svn_hook_commit,create_agilo_project}
do
  mv %{buildroot}%{_bindir}/$f.py %{buildroot}%{_bindir}/$f
  sed -i '1i\#!/usr/bin/python' %{buildroot}%{_bindir}/$f
done

chmod +x %{buildroot}%{python_sitelib}/agilo/ticket/links/tests/__init__.py
chmod +x %{buildroot}%{python_sitelib}/agilo/ticket/tests/linked_agilotickets_test.py
chmod +x %{buildroot}%{python_sitelib}/agilo/ticket/links/tests/operators_for_calculated_properties_test.py
chmod +x %{buildroot}%{python_sitelib}/agilo/ticket/links/functional_tests/link_permission_test.py
chmod +x %{buildroot}%{python_sitelib}/agilo/ticket/tests/agilomilestone_test.py
chmod +x %{buildroot}%{python_sitelib}/agilo/ticket/links/search.py
chmod +x %{buildroot}%{python_sitelib}/agilo/ticket/tests/renderers_test.py
chmod +x %{buildroot}%{python_sitelib}/agilo/utils/simple_super.py
chmod +x %{buildroot}%{python_sitelib}/agilo/ticket/links/tests/search_links_test.py
chmod +x %{buildroot}%{python_sitelib}/agilo/ticket/tests/agiloticket_test.py

%files
%doc CHANGES.txt
%{_bindir}/agilo_sqlite2pg
%{_bindir}/agilo_svn_hook_commit
%{_bindir}/create_agilo_project
%{python_sitelib}/*

%changelog
* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed Mar 28 2012 Karel Klíč <kklic@redhat.com> - 0.9.7-2
- Commented macros changed to %%

* Mon Mar 19 2012 Karel Klíč <kklic@redhat.com> - 0.9.7-1
- Update to the newest upstream release

* Mon Jan  2 2012 Karel Klíč <kklic@redhat.com> - 0.9.5-1
- Initial packaging

